FROM python:3.12-slim-bookworm

ENV TZ="Asia/Tokyo"
# pythonの標準出力をバッファリングしないフラグ
ENV PYTHONUNBUFFERED=1
# pythonのバイトコードを生成しないフラグ
ENV PYTHONDONTWRITEBYTECODE=1

WORKDIR /usr/src/app
COPY Pipfile Pipfile.lock ./
RUN \
    apt update -y && \
    pip install pipenv --no-cache-dir && \
    pipenv install --system --deploy && \
    pip uninstall -y pipenv virtualenv-clone virtualenv

COPY dataimport ./

CMD [ "python", "./controller.py" ]
